all targets: use numerically prefixed uci-defaults file names to better control order...
authorJo-Philipp Wich <jow@openwrt.org>
Fri, 18 Jan 2013 12:42:53 +0000 (12:42 +0000)
committerJo-Philipp Wich <jow@openwrt.org>
Fri, 18 Jan 2013 12:42:53 +0000 (12:42 +0000)
SVN-Revision: 35217

44 files changed:
target/linux/ar7/base-files/etc/uci-defaults/02_network [new file with mode: 0644]
target/linux/ar7/base-files/etc/uci-defaults/network [deleted file]
target/linux/ar71xx/base-files/etc/uci-defaults/00_inittab-console-fixup [new file with mode: 0755]
target/linux/ar71xx/base-files/etc/uci-defaults/01_leds [new file with mode: 0755]
target/linux/ar71xx/base-files/etc/uci-defaults/02_network [new file with mode: 0755]
target/linux/ar71xx/base-files/etc/uci-defaults/03_network-vlan-migration [new file with mode: 0755]
target/linux/ar71xx/base-files/etc/uci-defaults/09_wrt160nl [new file with mode: 0755]
target/linux/ar71xx/base-files/etc/uci-defaults/inittab-console-fixup [deleted file]
target/linux/ar71xx/base-files/etc/uci-defaults/leds [deleted file]
target/linux/ar71xx/base-files/etc/uci-defaults/network [deleted file]
target/linux/ar71xx/base-files/etc/uci-defaults/vlan-migration [deleted file]
target/linux/ar71xx/base-files/etc/uci-defaults/wrt160nl [deleted file]
target/linux/atheros/base-files/etc/uci-defaults/01_leds [new file with mode: 0644]
target/linux/atheros/base-files/etc/uci-defaults/02_network [new file with mode: 0644]
target/linux/atheros/base-files/etc/uci-defaults/leds [deleted file]
target/linux/atheros/base-files/etc/uci-defaults/network [deleted file]
target/linux/brcm63xx/base-files/etc/uci-defaults/02_network [new file with mode: 0755]
target/linux/brcm63xx/base-files/etc/uci-defaults/09_fix_crc [new file with mode: 0755]
target/linux/brcm63xx/base-files/etc/uci-defaults/brcm63xx_fixcrc.sh [deleted file]
target/linux/brcm63xx/base-files/etc/uci-defaults/network [deleted file]
target/linux/cns21xx/base-files/etc/uci-defaults/01_leds [new file with mode: 0755]
target/linux/cns21xx/base-files/etc/uci-defaults/leds [deleted file]
target/linux/kirkwood/base-files/etc/uci-defaults/01_leds [new file with mode: 0644]
target/linux/kirkwood/base-files/etc/uci-defaults/02_network [new file with mode: 0644]
target/linux/kirkwood/base-files/etc/uci-defaults/leds [deleted file]
target/linux/kirkwood/base-files/etc/uci-defaults/network [deleted file]
target/linux/lantiq/base-files/etc/uci-defaults/01_leds [new file with mode: 0755]
target/linux/lantiq/base-files/etc/uci-defaults/02_network [new file with mode: 0755]
target/linux/lantiq/base-files/etc/uci-defaults/03_wireless-wps [new file with mode: 0644]
target/linux/lantiq/base-files/etc/uci-defaults/leds [deleted file]
target/linux/lantiq/base-files/etc/uci-defaults/network [deleted file]
target/linux/lantiq/base-files/etc/uci-defaults/wps [deleted file]
target/linux/mcs814x/base-files/etc/uci-defaults/01_leds [new file with mode: 0644]
target/linux/mcs814x/base-files/etc/uci-defaults/leds [deleted file]
target/linux/mpc83xx/base-files/etc/uci-defaults/02_network [new file with mode: 0755]
target/linux/mpc83xx/base-files/etc/uci-defaults/network [deleted file]
target/linux/orion/generic/base-files/etc/uci-defaults/09_hardware [new file with mode: 0644]
target/linux/orion/generic/base-files/etc/uci-defaults/hardware [deleted file]
target/linux/ramips/base-files/etc/uci-defaults/01_leds [new file with mode: 0755]
target/linux/ramips/base-files/etc/uci-defaults/02_network [new file with mode: 0755]
target/linux/ramips/base-files/etc/uci-defaults/09_fix-seama-header [new file with mode: 0755]
target/linux/ramips/base-files/etc/uci-defaults/fixseama [deleted file]
target/linux/ramips/base-files/etc/uci-defaults/leds [deleted file]
target/linux/ramips/base-files/etc/uci-defaults/network [deleted file]

diff --git a/target/linux/ar7/base-files/etc/uci-defaults/02_network b/target/linux/ar7/base-files/etc/uci-defaults/02_network
new file mode 100644 (file)
index 0000000..2d35c56
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+if [ -e "/sys/bus/mdio_bus/drivers/IC+ IP175A/1:00" -o \
+     -e "/sys/bus/mdio_bus/drivers/IC+ IP17xx/1:00" ] && \
+   [ -x /sbin/swconfig ];
+then
+       uci batch <<EOF
+set network.eth0=switch
+set network.eth0.name=eth0
+set network.eth0.reset=1
+set network.eth0.enable_vlan=1
+set network.eth0_1=switch_vlan
+set network.eth0_1.device=eth0
+set network.eth0_1.vlan=1
+set network.eth0_1.ports="0 1 2 3 4t"
+commit network
+EOF
+       HAS_SWITCH=1
+fi
+
+if [ -n "$HAS_SWITCH" -o \
+       -e "/sys/bus/mdio_bus/drivers/Infineon ADM6996/1:00" -o \
+       -e "/sys/bus/mdio_bus/drivers/Marvell 88E6060/1:10" ]; then
+       uci batch <<EOF
+set network.lan.ifname=eth0.1
+commit network
+EOF
+       HAS_SWITCH=1
+fi
+
+uci commit network
diff --git a/target/linux/ar7/base-files/etc/uci-defaults/network b/target/linux/ar7/base-files/etc/uci-defaults/network
deleted file mode 100644 (file)
index 2d35c56..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-if [ -e "/sys/bus/mdio_bus/drivers/IC+ IP175A/1:00" -o \
-     -e "/sys/bus/mdio_bus/drivers/IC+ IP17xx/1:00" ] && \
-   [ -x /sbin/swconfig ];
-then
-       uci batch <<EOF
-set network.eth0=switch
-set network.eth0.name=eth0
-set network.eth0.reset=1
-set network.eth0.enable_vlan=1
-set network.eth0_1=switch_vlan
-set network.eth0_1.device=eth0
-set network.eth0_1.vlan=1
-set network.eth0_1.ports="0 1 2 3 4t"
-commit network
-EOF
-       HAS_SWITCH=1
-fi
-
-if [ -n "$HAS_SWITCH" -o \
-       -e "/sys/bus/mdio_bus/drivers/Infineon ADM6996/1:00" -o \
-       -e "/sys/bus/mdio_bus/drivers/Marvell 88E6060/1:10" ]; then
-       uci batch <<EOF
-set network.lan.ifname=eth0.1
-commit network
-EOF
-       HAS_SWITCH=1
-fi
-
-uci commit network
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/00_inittab-console-fixup b/target/linux/ar71xx/base-files/etc/uci-defaults/00_inittab-console-fixup
new file mode 100755 (executable)
index 0000000..4098b37
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (C) 2011 OpenWrt.org
+#
+
+enable_console_login() {
+       local cons=$1
+       local initline="$cons::askfirst:/bin/ash --login"
+
+       grep -qs "^$initline" /etc/inittab || {
+               echo "$initline" >> /etc/inittab
+               sync
+               kill -HUP 1
+       }
+}
+
+inittab_console_fixup() {
+       for cons in ttyS0 ttyATH0; do
+               grep -qs "console=$cons" /proc/cmdline && {
+                       enable_console_login $cons
+               }
+       done
+}
+
+inittab_console_fixup
+
+exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/01_leds b/target/linux/ar71xx/base-files/etc/uci-defaults/01_leds
new file mode 100755 (executable)
index 0000000..3dd5d21
--- /dev/null
@@ -0,0 +1,237 @@
+#!/bin/sh
+#
+# Copyright (C) 2011 OpenWrt.org
+#
+
+. /lib/functions/uci-defaults.sh
+. /lib/ar71xx.sh
+
+board=$(ar71xx_board_name)
+
+case "$board" in
+alfa-nx)
+       ucidef_set_led_netdev "wan" "WAN" "alfa:green:led_2" "eth0"
+       ucidef_set_led_netdev "lan" "LAN" "alfa:green:led_3" "eth1"
+       ;;
+
+all0258n)
+       ucidef_set_rssimon "wlan0" "40000" "1"
+       ucidef_set_led_rssi "rssilow" "RSSILOW" "all0258n:red:rssilow" "wlan0" "1" "40" "0" "6"
+       ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0258n:yellow:rssimedium" "wlan0" "30" "80" "-29" "5"
+       ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0258n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
+       ;;
+
+all0315n)
+       ucidef_set_rssimon "wlan0" "40000" "1"
+       ucidef_set_led_rssi "rssilow" "RSSILOW" "all0315n:red:rssilow" "wlan0" "1" "40" "0" "6"
+       ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0315n:yellow:rssimedium" "wlan0" "30" "80" "-29" "5"
+       ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0315n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
+       ;;
+
+ap113)
+       ucidef_set_led_usbdev "usb" "USB" "ap113:green:usb" "1-1"
+       ;;
+
+cap4200ag)
+       ucidef_set_led_default "lan_green" "LAN_GREEN" "senao:green:lan" "1"
+       ucidef_set_led_wlan "wlan_amber" "WLAN_AMBER" "senao:amber:wlan" "phy0tpt"
+       ucidef_set_led_wlan "wlan_green" "WLAN_GREEN" "senao:green:wlan" "phy1tpt"
+       ;;
+
+db120)
+       ucidef_set_led_usbdev "usb" "USB" "db120:green:usb" "1-1"
+       ;;
+
+rb750)
+       ucidef_set_led_default "act" "act" "rb750:green:act" "1"
+       ucidef_set_led_netdev "port1" "port1" "rb750:green:port1" "eth1"
+       ucidef_set_led_switch "port2" "port2" "rb750:green:port2" "switch0" "0x10"
+       ucidef_set_led_switch "port3" "port3" "rb750:green:port3" "switch0" "0x08"
+       ucidef_set_led_switch "port4" "port4" "rb750:green:port4" "switch0" "0x04"
+       ucidef_set_led_switch "port5" "port5" "rb750:green:port5" "switch0" "0x02"
+       ;;
+
+dir-600-a1|\
+dir-615-e4)
+       ucidef_set_led_netdev "wan" "WAN" "d-link:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "d-link:green:lan1" "switch0" "0x02"
+       ucidef_set_led_switch "lan2" "LAN2" "d-link:green:lan2" "switch0" "0x04"
+       ucidef_set_led_switch "lan3" "LAN3" "d-link:green:lan3" "switch0" "0x08"
+       ucidef_set_led_switch "lan4" "LAN4" "d-link:green:lan4" "switch0" "0x10"
+       ;;
+
+dir-825-b1)
+       ucidef_set_led_usbdev "usb" "USB" "d-link:blue:usb" "1-1"
+       ;;
+
+hornet-ub)
+       ucidef_set_led_netdev "lan" "LAN" "alfa:blue:lan" "eth0"
+       ucidef_set_led_netdev "wan" "WAN" "alfa:blue:wan" "eth1"
+       ucidef_set_led_wlan "wlan" "WLAN" "alfa:blue:wlan" "phy0tpt"
+       ucidef_set_led_usbdev "usb" "USB" "alfa:blue:usb" "1-1"
+       ;;
+
+mr600)
+       ucidef_set_led_netdev "port1" "port1" "mr600:blue:lan" "eth0"
+       ucidef_set_led_wlan "wlan58" "WLAN58" "mr600:green:wlan58" "phy0tpt"
+       ucidef_set_led_wlan "wlan24" "WLAN24" "mr600:green:wlan24" "phy1tpt"
+       ;;
+
+mzk-w04u)
+       ucidef_set_led_usbdev "usb" "USB" "planex:green:usb" "1-1"
+       ;;
+
+mzk-w300nh)
+       ucidef_set_led_wlan "wlan" "WLAN" "planex:green:wlan" "phy0tpt"
+       ;;
+
+nbg460n_550n_550nh)
+       ucidef_set_led_wlan "wlan" "WLAN" "nbg460n:green:wlan" "phy0tpt"
+       ;;
+
+om2p | \
+om2p-hs | \
+om2p-lc)
+       ucidef_set_led_netdev "port1" "port1" "om2p:blue:wan" "eth0"
+       ucidef_set_led_netdev "port2" "port2" "om2p:blue:lan" "eth1"
+       ;;
+
+tew-712br)
+       ucidef_set_led_netdev "wan" "WAN" "trendnet:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "trendnet:green:lan1" "switch0" "0x02"
+       ucidef_set_led_switch "lan2" "LAN2" "trendnet:green:lan2" "switch0" "0x04"
+       ucidef_set_led_switch "lan3" "LAN3" "trendnet:green:lan3" "switch0" "0x08"
+       ucidef_set_led_switch "lan4" "LAN4" "trendnet:green:lan4" "switch0" "0x10"
+       ucidef_set_led_wlan "wlan" "WLAN" "trendnet:green:wlan" "phy0tpt"
+       ;;
+
+tl-mr11u | \
+tl-mr3020 | \
+tl-mr3040)
+       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ucidef_set_led_netdev "lan" "LAN" "tp-link:green:lan"  "eth0"
+       ;;
+
+tl-mr3220 | \
+tl-mr3420 )
+       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
+       ;;
+
+tl-mr3220-v2)
+       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
+       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
+       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
+       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
+       ;;
+
+tl-wa901nd)
+       ucidef_set_led_netdev "lan" "LAN" "tp-link:green:lan" "eth0"
+       ;;
+
+tl-wa901nd-v2)
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ;;
+
+tl-wdr4300)
+       ucidef_set_led_usbdev "usb1" "USB1" "tp-link:green:usb1" "1-1.1"
+       ucidef_set_led_usbdev "usb2" "USB2" "tp-link:green:usb2" "1-1.2"
+       ucidef_set_led_wlan "wlan2g" "WLAN2G" "tp-link:blue:wlan2g" "phy0tpt"
+       ;;
+
+tl-wr741nd)
+       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x02"
+       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x04"
+       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x08"
+       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x10"
+       ;;
+
+tl-wr741nd-v4)
+       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
+       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
+       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
+       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ;;
+
+tl-wr841n-v8)
+       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth0"
+       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
+       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
+       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
+       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ;;
+
+tl-wr941nd | \
+tl-wr1041n-v2)
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ;;
+
+tl-wr1043nd)
+       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:usb" "1-1"
+       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
+       ;;
+
+tl-wr2543n)
+       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:usb" "1-1"
+       ;;
+
+wrt160nl)
+       ucidef_set_led_wlan "wlan" "WLAN" "wrt160nl:blue:wlan" "phy0tpt"
+       ;;
+
+wndr3700)
+       ucidef_set_led_default "wan" "WAN LED (green)" "wndr3700:green:wan" "0"
+       ucidef_set_led_usbdev "usb" "USB" "wndr3700:green:usb" "1-1"
+       ;;
+
+wndr4300)
+       ucidef_set_led_netdev "wan" "WAN (green)" "netgear:green:wan" "eth0.2"
+       ucidef_set_led_usbdev "usb" "USB" "netgear:green:usb" "1-1"
+       ;;
+
+whr-g301n |\
+whr-hp-g300n |\
+whr-hp-gn)
+       ucidef_set_led_netdev "wan" "WAN" "buffalo:green:wan" "eth1"
+       ucidef_set_led_switch "lan1" "LAN1" "buffalo:green:lan1" "switch0" "0x02"
+       ucidef_set_led_switch "lan2" "LAN2" "buffalo:green:lan2" "switch0" "0x04"
+       ucidef_set_led_switch "lan3" "LAN3" "buffalo:green:lan3" "switch0" "0x08"
+       ucidef_set_led_switch "lan4" "LAN4" "buffalo:green:lan4" "switch0" "0x10"
+       ;;
+
+wlae-ag300n)
+       ucidef_set_led_netdev "wireless" "WIRELESS" "buffalo:green:wireless" "wlan0"
+       ;;
+
+wzr-hp-ag300h)
+       ucidef_set_led_default "diag" "DIAG" "buffalo:red:diag" "0"
+       ucidef_set_led_netdev "router" "ROUTER" "buffalo:green:router" "eth1"
+       ucidef_set_led_usbdev "usb" "USB" "buffalo:green:usb" "1-1"
+       ;;
+
+wzr-hp-g300nh)
+       ucidef_set_led_wlan "wlan" "Wireless" "buffalo:green:wireless" "phy0tpt"
+       ucidef_set_led_netdev "router" "Router" "buffalo:green:router" "eth1"
+       ucidef_set_led_usbdev "usb" "USB" "buffalo:blue:usb" "1-1"
+       ;;
+
+zcn-1523h-2)
+       ucidef_set_led_netdev "lan1" "lan1" "zcn-1523h:green:lan1" "eth0"
+       ;;
+
+zcn-1523h-5)
+       ucidef_set_led_netdev "lan1" "lan1" "zcn-1523h:green:lan1" "eth0"
+       ucidef_set_led_netdev "lan2" "lan2" "zcn-1523h:green:lan2" "eth1"
+       ;;
+esac
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/02_network b/target/linux/ar71xx/base-files/etc/uci-defaults/02_network
new file mode 100755 (executable)
index 0000000..7cd0113
--- /dev/null
@@ -0,0 +1,258 @@
+#!/bin/sh
+#
+# Copyright (C) 2011 OpenWrt.org
+#
+
+[ -e /etc/config/network ] && exit 0
+
+touch /etc/config/network
+
+. /lib/functions/uci-defaults.sh
+. /lib/ar71xx.sh
+
+ucidef_set_interface_loopback
+
+board=$(ar71xx_board_name)
+
+case "$board" in
+all0315n |\
+all0258n |\
+ja76pf2|\
+ubnt-unifi-outdoor)
+       ucidef_set_interface_lan "eth0 eth1"
+       ;;
+
+ap136-010)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
+       ucidef_add_switch_vlan "switch0" "2" "5 6"
+       ;;
+
+ap136-020 |\
+ap135-020)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
+       ucidef_add_switch_vlan "switch0" "2" "5 6"
+       ;;
+
+db120 |\
+rb-2011l | \
+rb-2011uas-2hnd)
+       ucidef_set_interfaces_lan_wan "eth0.1 eth1" "eth0.2"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
+       ucidef_add_switch_vlan "eth0" "2" "0t 1"
+       ucidef_add_switch "eth1" "1" "1"
+       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 4 5"
+       ;;
+
+dir-825-b1|\
+tew-673gru)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth1"
+       ucidef_add_switch "rtl8366s" "1" "1"
+       ucidef_add_switch_vlan "rtl8366s" "1" "0 1 2 3 5t"
+       ;;
+
+nbg460n_550n_550nh)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ucidef_add_switch "rtl8366s" "1" "1"
+       ucidef_add_switch_vlan "rtl8366s" "0" "0 1 2 3 5"
+       ;;
+
+rb-433 |\
+rb-433u)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "1 2 5"
+       ;;
+
+rb-435g)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2"
+       ;;
+
+rb-450)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "eth1" "1" "1"
+       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 5"
+       ;;
+
+rb-450g |\
+routerstation-pro)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
+       ;;
+
+ap136 |\
+rb-750gl |\
+rb-751g |\
+wzr-hp-g450h)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0t 2 3 4 5"
+       ucidef_add_switch_vlan "switch0" "2" "0t 1"
+       ;;
+
+rb-493g)
+       ucidef_set_interfaces_lan_wan "eth0 eth1.1" "eth1.2"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
+       ucidef_add_switch "switch1" "1" "1"
+       ucidef_add_switch_vlan "switch1" "1" "0t 1 2 3 4"
+       ucidef_add_switch_vlan "switch1" "2" "0t 5"
+       ;;
+
+wzr-hp-g300nh2 |\
+pb92 |\
+ap113)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0t 1 3 4 5"
+       ucidef_add_switch_vlan "eth0" "2" "0t 2"
+       ;;
+
+tl-wdr4300|\
+tl-wr1041n-v2)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
+       ucidef_add_switch_vlan "eth0" "2" "0t 1"
+       ;;
+
+tl-wr1043nd)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "rtl8366rb" "1" "1"
+       ucidef_add_switch_vlan "rtl8366rb" "1" "1 2 3 4 5t"
+       ucidef_add_switch_vlan "rtl8366rb" "2" "0 5t"
+       ;;
+
+tl-wr2543n)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 9t"
+       ucidef_add_switch_vlan "switch0" "2" "0 9t"
+       ;;
+
+tl-wr841n-v1|\
+tl-wr941nd)
+       ucidef_set_interface_raw "eth" "eth0"
+       ucidef_set_interfaces_lan_wan "lan1 lan2 lan3 lan4" "wan"
+       ;;
+
+tl-wr841n-v8)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
+       ;;
+
+uap-pro)
+       ucidef_set_interface_lan "eth0"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2"
+       ;;
+
+wrt160nl)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5"
+       ;;
+
+wzr-hp-g300nh)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth1"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 5t"
+       ;;
+
+wndr4300)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "switch0" "1" "1"
+       ucidef_add_switch_vlan "switch0" "1" "0t 1 2 3 4"
+       ucidef_add_switch_vlan "switch0" "2" "0t 5"
+       ;;
+
+all0305 |\
+aw-nr580 |\
+bullet-m |\
+cap4200ag |\
+eap7660d |\
+mr600 |\
+rb-411 |\
+tl-mr11u |\
+tl-mr3020 |\
+tl-mr3040 |\
+tl-wa901nd |\
+tl-wa901nd-v2 |\
+tl-wr703n |\
+wp543)
+       ucidef_set_interface_lan "eth0"
+       ;;
+
+alfa-ap96 |\
+alfa-nx |\
+ap83 |\
+jwap003 |\
+pb42 |\
+pb44 |\
+routerstation|\
+wpe72)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ;;
+
+ap121 |\
+ap121-mini |\
+ap96 |\
+airrouter |\
+dir-600-a1 |\
+dir-615-c1 |\
+dir-615-e4 |\
+ja76pf |\
+rb-750 |\
+rb-751 |\
+tew-632brp |\
+tew-712br |\
+tl-mr3220 |\
+tl-mr3220-v2 |\
+tl-mr3420 |\
+tl-wr741nd |\
+tl-wr741nd-v4 |\
+tl-wr841n-v7 |\
+whr-g301n |\
+whr-hp-g300n |\
+whr-hp-gn |\
+wzr-hp-ag300h)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4"
+       ;;
+
+wzr-hp-g450h)
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
+       ucidef_add_switch_vlan "eth0" "2" "0t 1"
+       ;;
+
+ew-dorin)
+       ucidef_set_interface_lan "eth0"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3"
+       ;;
+
+ew-dorin-router)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0 2 3"
+       ;;
+
+*)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ;;
+esac
+
+uci commit network
+
+exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/03_network-vlan-migration b/target/linux/ar71xx/base-files/etc/uci-defaults/03_network-vlan-migration
new file mode 100755 (executable)
index 0000000..bea9493
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# Copyright (C) 2010 OpenWrt.org
+#
+
+local dev="$(uci -q get network.@switch_vlan[0].device)"
+local vlan="$(uci -q get network.@switch_vlan[0].vlan)"
+
+if [ "$dev" = "rtl8366s" ] && [ "$vlan" = 0 ]; then
+       logger -t vlan-migration "VLAN 0 is invalid for RTL8366s, changing to 1"
+       uci set network.@switch_vlan[0].vlan=1
+       uci commit network
+fi
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/09_wrt160nl b/target/linux/ar71xx/base-files/etc/uci-defaults/09_wrt160nl
new file mode 100755 (executable)
index 0000000..dce28dd
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Copyright (C) 2010 OpenWrt.org
+#
+
+. /lib/ar71xx.sh
+
+board=$(ar71xx_board_name)
+
+wrt160nl_fixtrx() {
+       mtd -o 32 fixtrx firmware
+}
+
+if [ "${board}" == "wrt160nl" ]; then
+       wrt160nl_fixtrx
+fi
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/inittab-console-fixup b/target/linux/ar71xx/base-files/etc/uci-defaults/inittab-console-fixup
deleted file mode 100755 (executable)
index 4098b37..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2011 OpenWrt.org
-#
-
-enable_console_login() {
-       local cons=$1
-       local initline="$cons::askfirst:/bin/ash --login"
-
-       grep -qs "^$initline" /etc/inittab || {
-               echo "$initline" >> /etc/inittab
-               sync
-               kill -HUP 1
-       }
-}
-
-inittab_console_fixup() {
-       for cons in ttyS0 ttyATH0; do
-               grep -qs "console=$cons" /proc/cmdline && {
-                       enable_console_login $cons
-               }
-       done
-}
-
-inittab_console_fixup
-
-exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/leds b/target/linux/ar71xx/base-files/etc/uci-defaults/leds
deleted file mode 100755 (executable)
index 3dd5d21..0000000
+++ /dev/null
@@ -1,237 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2011 OpenWrt.org
-#
-
-. /lib/functions/uci-defaults.sh
-. /lib/ar71xx.sh
-
-board=$(ar71xx_board_name)
-
-case "$board" in
-alfa-nx)
-       ucidef_set_led_netdev "wan" "WAN" "alfa:green:led_2" "eth0"
-       ucidef_set_led_netdev "lan" "LAN" "alfa:green:led_3" "eth1"
-       ;;
-
-all0258n)
-       ucidef_set_rssimon "wlan0" "40000" "1"
-       ucidef_set_led_rssi "rssilow" "RSSILOW" "all0258n:red:rssilow" "wlan0" "1" "40" "0" "6"
-       ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0258n:yellow:rssimedium" "wlan0" "30" "80" "-29" "5"
-       ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0258n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
-       ;;
-
-all0315n)
-       ucidef_set_rssimon "wlan0" "40000" "1"
-       ucidef_set_led_rssi "rssilow" "RSSILOW" "all0315n:red:rssilow" "wlan0" "1" "40" "0" "6"
-       ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0315n:yellow:rssimedium" "wlan0" "30" "80" "-29" "5"
-       ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0315n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
-       ;;
-
-ap113)
-       ucidef_set_led_usbdev "usb" "USB" "ap113:green:usb" "1-1"
-       ;;
-
-cap4200ag)
-       ucidef_set_led_default "lan_green" "LAN_GREEN" "senao:green:lan" "1"
-       ucidef_set_led_wlan "wlan_amber" "WLAN_AMBER" "senao:amber:wlan" "phy0tpt"
-       ucidef_set_led_wlan "wlan_green" "WLAN_GREEN" "senao:green:wlan" "phy1tpt"
-       ;;
-
-db120)
-       ucidef_set_led_usbdev "usb" "USB" "db120:green:usb" "1-1"
-       ;;
-
-rb750)
-       ucidef_set_led_default "act" "act" "rb750:green:act" "1"
-       ucidef_set_led_netdev "port1" "port1" "rb750:green:port1" "eth1"
-       ucidef_set_led_switch "port2" "port2" "rb750:green:port2" "switch0" "0x10"
-       ucidef_set_led_switch "port3" "port3" "rb750:green:port3" "switch0" "0x08"
-       ucidef_set_led_switch "port4" "port4" "rb750:green:port4" "switch0" "0x04"
-       ucidef_set_led_switch "port5" "port5" "rb750:green:port5" "switch0" "0x02"
-       ;;
-
-dir-600-a1|\
-dir-615-e4)
-       ucidef_set_led_netdev "wan" "WAN" "d-link:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "d-link:green:lan1" "switch0" "0x02"
-       ucidef_set_led_switch "lan2" "LAN2" "d-link:green:lan2" "switch0" "0x04"
-       ucidef_set_led_switch "lan3" "LAN3" "d-link:green:lan3" "switch0" "0x08"
-       ucidef_set_led_switch "lan4" "LAN4" "d-link:green:lan4" "switch0" "0x10"
-       ;;
-
-dir-825-b1)
-       ucidef_set_led_usbdev "usb" "USB" "d-link:blue:usb" "1-1"
-       ;;
-
-hornet-ub)
-       ucidef_set_led_netdev "lan" "LAN" "alfa:blue:lan" "eth0"
-       ucidef_set_led_netdev "wan" "WAN" "alfa:blue:wan" "eth1"
-       ucidef_set_led_wlan "wlan" "WLAN" "alfa:blue:wlan" "phy0tpt"
-       ucidef_set_led_usbdev "usb" "USB" "alfa:blue:usb" "1-1"
-       ;;
-
-mr600)
-       ucidef_set_led_netdev "port1" "port1" "mr600:blue:lan" "eth0"
-       ucidef_set_led_wlan "wlan58" "WLAN58" "mr600:green:wlan58" "phy0tpt"
-       ucidef_set_led_wlan "wlan24" "WLAN24" "mr600:green:wlan24" "phy1tpt"
-       ;;
-
-mzk-w04u)
-       ucidef_set_led_usbdev "usb" "USB" "planex:green:usb" "1-1"
-       ;;
-
-mzk-w300nh)
-       ucidef_set_led_wlan "wlan" "WLAN" "planex:green:wlan" "phy0tpt"
-       ;;
-
-nbg460n_550n_550nh)
-       ucidef_set_led_wlan "wlan" "WLAN" "nbg460n:green:wlan" "phy0tpt"
-       ;;
-
-om2p | \
-om2p-hs | \
-om2p-lc)
-       ucidef_set_led_netdev "port1" "port1" "om2p:blue:wan" "eth0"
-       ucidef_set_led_netdev "port2" "port2" "om2p:blue:lan" "eth1"
-       ;;
-
-tew-712br)
-       ucidef_set_led_netdev "wan" "WAN" "trendnet:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "trendnet:green:lan1" "switch0" "0x02"
-       ucidef_set_led_switch "lan2" "LAN2" "trendnet:green:lan2" "switch0" "0x04"
-       ucidef_set_led_switch "lan3" "LAN3" "trendnet:green:lan3" "switch0" "0x08"
-       ucidef_set_led_switch "lan4" "LAN4" "trendnet:green:lan4" "switch0" "0x10"
-       ucidef_set_led_wlan "wlan" "WLAN" "trendnet:green:wlan" "phy0tpt"
-       ;;
-
-tl-mr11u | \
-tl-mr3020 | \
-tl-mr3040)
-       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ucidef_set_led_netdev "lan" "LAN" "tp-link:green:lan"  "eth0"
-       ;;
-
-tl-mr3220 | \
-tl-mr3420 )
-       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
-       ;;
-
-tl-mr3220-v2)
-       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
-       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
-       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
-       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:3g" "1-1"
-       ;;
-
-tl-wa901nd)
-       ucidef_set_led_netdev "lan" "LAN" "tp-link:green:lan" "eth0"
-       ;;
-
-tl-wa901nd-v2)
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ;;
-
-tl-wdr4300)
-       ucidef_set_led_usbdev "usb1" "USB1" "tp-link:green:usb1" "1-1.1"
-       ucidef_set_led_usbdev "usb2" "USB2" "tp-link:green:usb2" "1-1.2"
-       ucidef_set_led_wlan "wlan2g" "WLAN2G" "tp-link:blue:wlan2g" "phy0tpt"
-       ;;
-
-tl-wr741nd)
-       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x02"
-       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x04"
-       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x08"
-       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x10"
-       ;;
-
-tl-wr741nd-v4)
-       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
-       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
-       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
-       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ;;
-
-tl-wr841n-v8)
-       ucidef_set_led_netdev "wan" "WAN" "tp-link:green:wan" "eth0"
-       ucidef_set_led_switch "lan1" "LAN1" "tp-link:green:lan1" "switch0" "0x04"
-       ucidef_set_led_switch "lan2" "LAN2" "tp-link:green:lan2" "switch0" "0x08"
-       ucidef_set_led_switch "lan3" "LAN3" "tp-link:green:lan3" "switch0" "0x10"
-       ucidef_set_led_switch "lan4" "LAN4" "tp-link:green:lan4" "switch0" "0x02"
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ;;
-
-tl-wr941nd | \
-tl-wr1041n-v2)
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ;;
-
-tl-wr1043nd)
-       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:usb" "1-1"
-       ucidef_set_led_wlan "wlan" "WLAN" "tp-link:green:wlan" "phy0tpt"
-       ;;
-
-tl-wr2543n)
-       ucidef_set_led_usbdev "usb" "USB" "tp-link:green:usb" "1-1"
-       ;;
-
-wrt160nl)
-       ucidef_set_led_wlan "wlan" "WLAN" "wrt160nl:blue:wlan" "phy0tpt"
-       ;;
-
-wndr3700)
-       ucidef_set_led_default "wan" "WAN LED (green)" "wndr3700:green:wan" "0"
-       ucidef_set_led_usbdev "usb" "USB" "wndr3700:green:usb" "1-1"
-       ;;
-
-wndr4300)
-       ucidef_set_led_netdev "wan" "WAN (green)" "netgear:green:wan" "eth0.2"
-       ucidef_set_led_usbdev "usb" "USB" "netgear:green:usb" "1-1"
-       ;;
-
-whr-g301n |\
-whr-hp-g300n |\
-whr-hp-gn)
-       ucidef_set_led_netdev "wan" "WAN" "buffalo:green:wan" "eth1"
-       ucidef_set_led_switch "lan1" "LAN1" "buffalo:green:lan1" "switch0" "0x02"
-       ucidef_set_led_switch "lan2" "LAN2" "buffalo:green:lan2" "switch0" "0x04"
-       ucidef_set_led_switch "lan3" "LAN3" "buffalo:green:lan3" "switch0" "0x08"
-       ucidef_set_led_switch "lan4" "LAN4" "buffalo:green:lan4" "switch0" "0x10"
-       ;;
-
-wlae-ag300n)
-       ucidef_set_led_netdev "wireless" "WIRELESS" "buffalo:green:wireless" "wlan0"
-       ;;
-
-wzr-hp-ag300h)
-       ucidef_set_led_default "diag" "DIAG" "buffalo:red:diag" "0"
-       ucidef_set_led_netdev "router" "ROUTER" "buffalo:green:router" "eth1"
-       ucidef_set_led_usbdev "usb" "USB" "buffalo:green:usb" "1-1"
-       ;;
-
-wzr-hp-g300nh)
-       ucidef_set_led_wlan "wlan" "Wireless" "buffalo:green:wireless" "phy0tpt"
-       ucidef_set_led_netdev "router" "Router" "buffalo:green:router" "eth1"
-       ucidef_set_led_usbdev "usb" "USB" "buffalo:blue:usb" "1-1"
-       ;;
-
-zcn-1523h-2)
-       ucidef_set_led_netdev "lan1" "lan1" "zcn-1523h:green:lan1" "eth0"
-       ;;
-
-zcn-1523h-5)
-       ucidef_set_led_netdev "lan1" "lan1" "zcn-1523h:green:lan1" "eth0"
-       ucidef_set_led_netdev "lan2" "lan2" "zcn-1523h:green:lan2" "eth1"
-       ;;
-esac
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/network b/target/linux/ar71xx/base-files/etc/uci-defaults/network
deleted file mode 100755 (executable)
index 7cd0113..0000000
+++ /dev/null
@@ -1,258 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2011 OpenWrt.org
-#
-
-[ -e /etc/config/network ] && exit 0
-
-touch /etc/config/network
-
-. /lib/functions/uci-defaults.sh
-. /lib/ar71xx.sh
-
-ucidef_set_interface_loopback
-
-board=$(ar71xx_board_name)
-
-case "$board" in
-all0315n |\
-all0258n |\
-ja76pf2|\
-ubnt-unifi-outdoor)
-       ucidef_set_interface_lan "eth0 eth1"
-       ;;
-
-ap136-010)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
-       ucidef_add_switch_vlan "switch0" "2" "5 6"
-       ;;
-
-ap136-020 |\
-ap135-020)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
-       ucidef_add_switch_vlan "switch0" "2" "5 6"
-       ;;
-
-db120 |\
-rb-2011l | \
-rb-2011uas-2hnd)
-       ucidef_set_interfaces_lan_wan "eth0.1 eth1" "eth0.2"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
-       ucidef_add_switch_vlan "eth0" "2" "0t 1"
-       ucidef_add_switch "eth1" "1" "1"
-       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 4 5"
-       ;;
-
-dir-825-b1|\
-tew-673gru)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth1"
-       ucidef_add_switch "rtl8366s" "1" "1"
-       ucidef_add_switch_vlan "rtl8366s" "1" "0 1 2 3 5t"
-       ;;
-
-nbg460n_550n_550nh)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ucidef_add_switch "rtl8366s" "1" "1"
-       ucidef_add_switch_vlan "rtl8366s" "0" "0 1 2 3 5"
-       ;;
-
-rb-433 |\
-rb-433u)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "1 2 5"
-       ;;
-
-rb-435g)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2"
-       ;;
-
-rb-450)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "eth1" "1" "1"
-       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 5"
-       ;;
-
-rb-450g |\
-routerstation-pro)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
-       ;;
-
-ap136 |\
-rb-750gl |\
-rb-751g |\
-wzr-hp-g450h)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0t 2 3 4 5"
-       ucidef_add_switch_vlan "switch0" "2" "0t 1"
-       ;;
-
-rb-493g)
-       ucidef_set_interfaces_lan_wan "eth0 eth1.1" "eth1.2"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
-       ucidef_add_switch "switch1" "1" "1"
-       ucidef_add_switch_vlan "switch1" "1" "0t 1 2 3 4"
-       ucidef_add_switch_vlan "switch1" "2" "0t 5"
-       ;;
-
-wzr-hp-g300nh2 |\
-pb92 |\
-ap113)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0t 1 3 4 5"
-       ucidef_add_switch_vlan "eth0" "2" "0t 2"
-       ;;
-
-tl-wdr4300|\
-tl-wr1041n-v2)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
-       ucidef_add_switch_vlan "eth0" "2" "0t 1"
-       ;;
-
-tl-wr1043nd)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "rtl8366rb" "1" "1"
-       ucidef_add_switch_vlan "rtl8366rb" "1" "1 2 3 4 5t"
-       ucidef_add_switch_vlan "rtl8366rb" "2" "0 5t"
-       ;;
-
-tl-wr2543n)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 9t"
-       ucidef_add_switch_vlan "switch0" "2" "0 9t"
-       ;;
-
-tl-wr841n-v1|\
-tl-wr941nd)
-       ucidef_set_interface_raw "eth" "eth0"
-       ucidef_set_interfaces_lan_wan "lan1 lan2 lan3 lan4" "wan"
-       ;;
-
-tl-wr841n-v8)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 4"
-       ;;
-
-uap-pro)
-       ucidef_set_interface_lan "eth0"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2"
-       ;;
-
-wrt160nl)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5"
-       ;;
-
-wzr-hp-g300nh)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth1"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 5t"
-       ;;
-
-wndr4300)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "switch0" "1" "1"
-       ucidef_add_switch_vlan "switch0" "1" "0t 1 2 3 4"
-       ucidef_add_switch_vlan "switch0" "2" "0t 5"
-       ;;
-
-all0305 |\
-aw-nr580 |\
-bullet-m |\
-cap4200ag |\
-eap7660d |\
-mr600 |\
-rb-411 |\
-tl-mr11u |\
-tl-mr3020 |\
-tl-mr3040 |\
-tl-wa901nd |\
-tl-wa901nd-v2 |\
-tl-wr703n |\
-wp543)
-       ucidef_set_interface_lan "eth0"
-       ;;
-
-alfa-ap96 |\
-alfa-nx |\
-ap83 |\
-jwap003 |\
-pb42 |\
-pb44 |\
-routerstation|\
-wpe72)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ;;
-
-ap121 |\
-ap121-mini |\
-ap96 |\
-airrouter |\
-dir-600-a1 |\
-dir-615-c1 |\
-dir-615-e4 |\
-ja76pf |\
-rb-750 |\
-rb-751 |\
-tew-632brp |\
-tew-712br |\
-tl-mr3220 |\
-tl-mr3220-v2 |\
-tl-mr3420 |\
-tl-wr741nd |\
-tl-wr741nd-v4 |\
-tl-wr841n-v7 |\
-whr-g301n |\
-whr-hp-g300n |\
-whr-hp-gn |\
-wzr-hp-ag300h)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4"
-       ;;
-
-wzr-hp-g450h)
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
-       ucidef_add_switch_vlan "eth0" "2" "0t 1"
-       ;;
-
-ew-dorin)
-       ucidef_set_interface_lan "eth0"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3"
-       ;;
-
-ew-dorin-router)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0 2 3"
-       ;;
-
-*)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ;;
-esac
-
-uci commit network
-
-exit 0
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/vlan-migration b/target/linux/ar71xx/base-files/etc/uci-defaults/vlan-migration
deleted file mode 100755 (executable)
index bea9493..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2010 OpenWrt.org
-#
-
-local dev="$(uci -q get network.@switch_vlan[0].device)"
-local vlan="$(uci -q get network.@switch_vlan[0].vlan)"
-
-if [ "$dev" = "rtl8366s" ] && [ "$vlan" = 0 ]; then
-       logger -t vlan-migration "VLAN 0 is invalid for RTL8366s, changing to 1"
-       uci set network.@switch_vlan[0].vlan=1
-       uci commit network
-fi
diff --git a/target/linux/ar71xx/base-files/etc/uci-defaults/wrt160nl b/target/linux/ar71xx/base-files/etc/uci-defaults/wrt160nl
deleted file mode 100755 (executable)
index dce28dd..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2010 OpenWrt.org
-#
-
-. /lib/ar71xx.sh
-
-board=$(ar71xx_board_name)
-
-wrt160nl_fixtrx() {
-       mtd -o 32 fixtrx firmware
-}
-
-if [ "${board}" == "wrt160nl" ]; then
-       wrt160nl_fixtrx
-fi
diff --git a/target/linux/atheros/base-files/etc/uci-defaults/01_leds b/target/linux/atheros/base-files/etc/uci-defaults/01_leds
new file mode 100644 (file)
index 0000000..076a04b
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Copyright 2012 OpenWrt.org
+#
+
+. /lib/functions/uci-defaults.sh
+
+ucidef_set_led_netdev "wlan" "wlan" "wlan" "wlan0"
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/atheros/base-files/etc/uci-defaults/02_network b/target/linux/atheros/base-files/etc/uci-defaults/02_network
new file mode 100644 (file)
index 0000000..7e91e6a
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/sh
+if [ -e "/sys/bus/mdio_bus/drivers/IC+ IP175C/0:00" -o \
+     -e "/sys/bus/mdio_bus/drivers/IC+ IP17xx/0:00" ] && \
+   [ -x /sbin/swconfig ];
+then
+       uci batch <<EOF
+set network.eth0=switch
+set network.eth0.name=eth0
+set network.eth0.reset=1
+set network.eth0.enable_vlan=1
+set network.eth0_1=switch_vlan
+set network.eth0_1.device=eth0
+set network.eth0_1.vlan=1
+set network.eth0_1.ports="0 1 2 3 5t"
+set network.eth0_2=switch_vlan
+set network.eth0_2.device=eth0
+set network.eth0_2.vlan=2
+set network.eth0_2.ports="4 5t"
+EOF
+       HAS_SWITCH=1
+fi
+
+if [ -n "$HAS_SWITCH" -o \
+       -e "/sys/bus/mdio_bus/drivers/Infineon ADM6996/0:00" -o \
+       -e "/sys/bus/mdio_bus/drivers/Marvell 88E6060/0:10" ]; then
+       uci batch <<EOF
+set network.lan.ifname=eth0.1
+set network.wan=interface
+set network.wan.ifname=eth0.2
+set network.wan.proto=dhcp
+commit network
+EOF
+       HAS_SWITCH=1
+fi
+
+[ -z "$HAS_SWITCH" -a -d /sys/class/net/eth1 ] && {
+       uci batch <<EOF
+set network.wan=interface
+set network.wan.ifname=eth1
+set network.wan.proto=dhcp
+commit network
+EOF
+}
+
+uci commit network
diff --git a/target/linux/atheros/base-files/etc/uci-defaults/leds b/target/linux/atheros/base-files/etc/uci-defaults/leds
deleted file mode 100644 (file)
index 076a04b..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-# Copyright 2012 OpenWrt.org
-#
-
-. /lib/functions/uci-defaults.sh
-
-ucidef_set_led_netdev "wlan" "wlan" "wlan" "wlan0"
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/atheros/base-files/etc/uci-defaults/network b/target/linux/atheros/base-files/etc/uci-defaults/network
deleted file mode 100644 (file)
index 7e91e6a..0000000
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-if [ -e "/sys/bus/mdio_bus/drivers/IC+ IP175C/0:00" -o \
-     -e "/sys/bus/mdio_bus/drivers/IC+ IP17xx/0:00" ] && \
-   [ -x /sbin/swconfig ];
-then
-       uci batch <<EOF
-set network.eth0=switch
-set network.eth0.name=eth0
-set network.eth0.reset=1
-set network.eth0.enable_vlan=1
-set network.eth0_1=switch_vlan
-set network.eth0_1.device=eth0
-set network.eth0_1.vlan=1
-set network.eth0_1.ports="0 1 2 3 5t"
-set network.eth0_2=switch_vlan
-set network.eth0_2.device=eth0
-set network.eth0_2.vlan=2
-set network.eth0_2.ports="4 5t"
-EOF
-       HAS_SWITCH=1
-fi
-
-if [ -n "$HAS_SWITCH" -o \
-       -e "/sys/bus/mdio_bus/drivers/Infineon ADM6996/0:00" -o \
-       -e "/sys/bus/mdio_bus/drivers/Marvell 88E6060/0:10" ]; then
-       uci batch <<EOF
-set network.lan.ifname=eth0.1
-set network.wan=interface
-set network.wan.ifname=eth0.2
-set network.wan.proto=dhcp
-commit network
-EOF
-       HAS_SWITCH=1
-fi
-
-[ -z "$HAS_SWITCH" -a -d /sys/class/net/eth1 ] && {
-       uci batch <<EOF
-set network.wan=interface
-set network.wan.ifname=eth1
-set network.wan.proto=dhcp
-commit network
-EOF
-}
-
-uci commit network
diff --git a/target/linux/brcm63xx/base-files/etc/uci-defaults/02_network b/target/linux/brcm63xx/base-files/etc/uci-defaults/02_network
new file mode 100755 (executable)
index 0000000..08b8558
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+[ -e /etc/config/network ] && exit 0
+
+touch /etc/config/network
+
+. /lib/functions/uci-defaults.sh
+. /lib/brcm63xx.sh
+
+ucidef_set_interface_loopback
+
+case "$board_name" in
+
+96328avng |\
+96328A-1241N |\
+96328A-1441N1 |\
+963281TAN |\
+963281T_TEF |\
+96348A-122 |\
+96358-502V |\
+CT6373-1 |\
+AW4339U |\
+CPVA642 |\
+CT536_CT5621 |\
+D-4P-W |\
+"F@ST2604" |\
+HW556* |\
+NB6 |\
+SPW303V |\
+SPW500V |\
+V2110 |\
+96348W3)
+       ucidef_set_interface_lan "eth0"
+       ;;
+
+AW4139)
+       ucidef_set_interface_lan "eth0.1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5t"
+       ;;
+
+DVG3810BN)
+       ucidef_set_interfaces_lan_wan "eth1.1" "eth0"
+       ucidef_add_switch "eth1" "1" "1"
+       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 4 5t"
+       ;;
+
+*)
+       ucidef_set_interfaces_lan_wan "eth1" "eth0"
+       ;;
+
+esac
+
+uci commit network
+
+exit 0
diff --git a/target/linux/brcm63xx/base-files/etc/uci-defaults/09_fix_crc b/target/linux/brcm63xx/base-files/etc/uci-defaults/09_fix_crc
new file mode 100755 (executable)
index 0000000..edd8802
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Copyright (C) 2007 OpenWrt.org
+#
+#
+
+. /lib/brcm63xx.sh
+
+do_fixcrc() {
+       mtd fixtrx linux
+}
+
+brcm63xx_detect
+
+case "$board_name" in
+       96328avng |\
+       96328A-1241N |\
+       96328A-1441N1 |\
+       963281TAN |\
+       963281T_TEF |\
+       96358-502V |\
+       "CPVA502+" |\
+       AW4339U |\
+       CPVA642 |\
+       CT6373-1 |\
+       MAGIC |\
+       V2110 |\
+       V2500V_BB)
+               do_fixcrc
+               ;;
+esac
+
diff --git a/target/linux/brcm63xx/base-files/etc/uci-defaults/brcm63xx_fixcrc.sh b/target/linux/brcm63xx/base-files/etc/uci-defaults/brcm63xx_fixcrc.sh
deleted file mode 100755 (executable)
index edd8802..0000000
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2007 OpenWrt.org
-#
-#
-
-. /lib/brcm63xx.sh
-
-do_fixcrc() {
-       mtd fixtrx linux
-}
-
-brcm63xx_detect
-
-case "$board_name" in
-       96328avng |\
-       96328A-1241N |\
-       96328A-1441N1 |\
-       963281TAN |\
-       963281T_TEF |\
-       96358-502V |\
-       "CPVA502+" |\
-       AW4339U |\
-       CPVA642 |\
-       CT6373-1 |\
-       MAGIC |\
-       V2110 |\
-       V2500V_BB)
-               do_fixcrc
-               ;;
-esac
-
diff --git a/target/linux/brcm63xx/base-files/etc/uci-defaults/network b/target/linux/brcm63xx/base-files/etc/uci-defaults/network
deleted file mode 100755 (executable)
index 08b8558..0000000
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-[ -e /etc/config/network ] && exit 0
-
-touch /etc/config/network
-
-. /lib/functions/uci-defaults.sh
-. /lib/brcm63xx.sh
-
-ucidef_set_interface_loopback
-
-case "$board_name" in
-
-96328avng |\
-96328A-1241N |\
-96328A-1441N1 |\
-963281TAN |\
-963281T_TEF |\
-96348A-122 |\
-96358-502V |\
-CT6373-1 |\
-AW4339U |\
-CPVA642 |\
-CT536_CT5621 |\
-D-4P-W |\
-"F@ST2604" |\
-HW556* |\
-NB6 |\
-SPW303V |\
-SPW500V |\
-V2110 |\
-96348W3)
-       ucidef_set_interface_lan "eth0"
-       ;;
-
-AW4139)
-       ucidef_set_interface_lan "eth0.1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5t"
-       ;;
-
-DVG3810BN)
-       ucidef_set_interfaces_lan_wan "eth1.1" "eth0"
-       ucidef_add_switch "eth1" "1" "1"
-       ucidef_add_switch_vlan "eth1" "1" "0 1 2 3 4 5t"
-       ;;
-
-*)
-       ucidef_set_interfaces_lan_wan "eth1" "eth0"
-       ;;
-
-esac
-
-uci commit network
-
-exit 0
diff --git a/target/linux/cns21xx/base-files/etc/uci-defaults/01_leds b/target/linux/cns21xx/base-files/etc/uci-defaults/01_leds
new file mode 100755 (executable)
index 0000000..bdebb6c
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# Copyright (C) 2010 OpenWrt.org
+#
+
+. /lib/functions/uci-defaults.sh
+. /lib/cns21xx.sh
+
+board=$(get_board_name)
+
+case "$board" in
+"ns-k330")
+       ucidef_set_led_netdev "eth_orange" "ETH (orange)" "ns-k330:orange:eth" "eth0"
+       ucidef_set_led_usbdev "usb1" "USB1" "ns-k330:green:usb1" "1-1"
+       ucidef_set_led_usbdev "usb2" "USB2" "ns-k330:green:usb2" "1-2"
+       ;;
+fi
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/cns21xx/base-files/etc/uci-defaults/leds b/target/linux/cns21xx/base-files/etc/uci-defaults/leds
deleted file mode 100755 (executable)
index bdebb6c..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2010 OpenWrt.org
-#
-
-. /lib/functions/uci-defaults.sh
-. /lib/cns21xx.sh
-
-board=$(get_board_name)
-
-case "$board" in
-"ns-k330")
-       ucidef_set_led_netdev "eth_orange" "ETH (orange)" "ns-k330:orange:eth" "eth0"
-       ucidef_set_led_usbdev "usb1" "USB1" "ns-k330:green:usb1" "1-1"
-       ucidef_set_led_usbdev "usb2" "USB2" "ns-k330:green:usb2" "1-2"
-       ;;
-fi
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/kirkwood/base-files/etc/uci-defaults/01_leds b/target/linux/kirkwood/base-files/etc/uci-defaults/01_leds
new file mode 100644 (file)
index 0000000..18ac43c
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+. /lib/functions/uci-defaults.sh
+. /lib/kirkwood.sh
+
+hardware=$(kirkwood_hardware_name)
+
+case "$hardware" in
+"Seagate FreeAgent DockStar")
+       ucidef_set_led_netdev "eth0" "dockstar:orange:misc" "eth0"
+       ucidef_set_led_default "health" "dockstar:green:health" "1"
+       ;;
+
+*)
+       ;;
+esac
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/kirkwood/base-files/etc/uci-defaults/02_network b/target/linux/kirkwood/base-files/etc/uci-defaults/02_network
new file mode 100644 (file)
index 0000000..48c1232
--- /dev/null
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+[ -e /etc/config/network ] && exit 0
+
+set_lan_dhcp() {
+       local ifname=$1
+       uci batch <<EOF
+set network.lan='interface'
+set network.lan.ifname='$ifname'
+set network.lan.proto='dhcp'
+EOF
+}
+
+. /lib/functions/uci-defaults.sh
+. /lib/kirkwood.sh
+
+touch /etc/config/network
+
+ucidef_set_interface_loopback
+
+hardware=$(kirkwood_hardware_name)
+
+case "$hardware" in
+"Seagate FreeAgent DockStar")
+       set_lan_dhcp "eth0"
+       ;;
+
+"RaidSonic ICY BOX IB-NAS6210")
+       set_lan_dhcp "eth0"
+       ;;
+
+*)
+       ucidef_set_interface_lan "eth0"
+       ;;
+esac
+
+uci commit network
+
+exit 0
diff --git a/target/linux/kirkwood/base-files/etc/uci-defaults/leds b/target/linux/kirkwood/base-files/etc/uci-defaults/leds
deleted file mode 100644 (file)
index 18ac43c..0000000
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-. /lib/functions/uci-defaults.sh
-. /lib/kirkwood.sh
-
-hardware=$(kirkwood_hardware_name)
-
-case "$hardware" in
-"Seagate FreeAgent DockStar")
-       ucidef_set_led_netdev "eth0" "dockstar:orange:misc" "eth0"
-       ucidef_set_led_default "health" "dockstar:green:health" "1"
-       ;;
-
-*)
-       ;;
-esac
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/kirkwood/base-files/etc/uci-defaults/network b/target/linux/kirkwood/base-files/etc/uci-defaults/network
deleted file mode 100644 (file)
index 48c1232..0000000
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-[ -e /etc/config/network ] && exit 0
-
-set_lan_dhcp() {
-       local ifname=$1
-       uci batch <<EOF
-set network.lan='interface'
-set network.lan.ifname='$ifname'
-set network.lan.proto='dhcp'
-EOF
-}
-
-. /lib/functions/uci-defaults.sh
-. /lib/kirkwood.sh
-
-touch /etc/config/network
-
-ucidef_set_interface_loopback
-
-hardware=$(kirkwood_hardware_name)
-
-case "$hardware" in
-"Seagate FreeAgent DockStar")
-       set_lan_dhcp "eth0"
-       ;;
-
-"RaidSonic ICY BOX IB-NAS6210")
-       set_lan_dhcp "eth0"
-       ;;
-
-*)
-       ucidef_set_interface_lan "eth0"
-       ;;
-esac
-
-uci commit network
-
-exit 0
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/01_leds b/target/linux/lantiq/base-files/etc/uci-defaults/01_leds
new file mode 100755 (executable)
index 0000000..3f87fe0
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Copyright (C) 2011 OpenWrt.org
+# based on ar71xx
+#
+
+. /lib/functions/uci-defaults.sh
+. /lib/functions/lantiq.sh
+
+[ -e "/sys/class/leds/wifi" ] && ucidef_set_led_wlan "wifi" "wifi" "wifi" "phy0tpt"
+[ -e "/sys/class/leds/usb" ] && ucidef_set_led_usbdev "usb" "usb" "usb" "1-1"
+[ -e "/sys/class/leds/dsl" ] &&        ucidef_set_led_netdev "dsl" "dsl" "dsl" "pppoe-wan"
+
+for a in `ls /sys/class/leds/`; do
+       grep -q "\[none\]" /sys/class/leds/$a/trigger
+       [ $? -eq 0 ] && ucidef_set_led_default $a $a $a `cat /sys/class/leds/$a/brightness`
+done
+
+board=$(lantiq_board_id)
+
+case "$board" in
+*)
+       ;;
+esac
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/02_network b/target/linux/lantiq/base-files/etc/uci-defaults/02_network
new file mode 100755 (executable)
index 0000000..db5b58e
--- /dev/null
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Copyright (C) 2011-2012 OpenWrt.org
+#
+
+[ -e /etc/config/network ] && exit 0
+
+set_atm_wan() {
+       local vpi=$1
+       local vci=$2
+       local encaps=$3
+       local payload=$4
+       uci batch <<EOF
+set network.atm='atm-bridge'
+set network.atm.vpi='$vpi'
+set network.atm.vci='$vci'
+set network.atm.encaps='$encaps'
+set network.atm.payload='$payload'
+set network.wan='interface'
+set network.wan.ifname='nas0'
+set network.wan.proto='pppoe'
+set network.wan.username='foo'
+set network.wan.password='bar'
+EOF
+}
+
+. /lib/functions/uci-defaults.sh
+. /lib/functions/lantiq.sh
+
+touch /etc/config/network
+
+ucidef_set_interface_loopback
+ucidef_set_interface_lan 'eth0'
+
+vpi=1
+vci=32
+encaps="llc"
+payload="bridged"
+
+board=$(lantiq_board_id)
+
+case "$board" in
+# adm6996
+ARV4520PW)
+       ucidef_set_interface_lan "eth0.1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "3 2 1 0 5t"
+       ;;
+
+GIGASX76X)
+       ucidef_set_interface_lan "eth0.1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "4 3 2 1 5t"
+       ;;
+
+# ar8316
+ARV4519PW|ARV7518PW)
+       ucidef_set_interface_lan "eth0.1"
+       ucidef_add_switch "eth0" "1" "1"
+       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
+       ;;
+
+WBMR)
+       ucidef_add_switch "eth0" "1" "0"
+       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5"
+       ;;
+
+esac
+
+[ -z "$(ls /lib/modules/`uname -r`/ltq_atm*)" ] || set_atm_wan "$vpi" "$vci" "$encaps" "$payload"
+
+
+uci commit network
+
+exit 0
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/03_wireless-wps b/target/linux/lantiq/base-files/etc/uci-defaults/03_wireless-wps
new file mode 100644 (file)
index 0000000..f2412d7
--- /dev/null
@@ -0,0 +1,16 @@
+. /lib/functions.sh
+. /lib/functions/lantiq.sh
+
+set_wps() {
+       uci set wireless.$1.wps_pushbutton=0
+       uci set wireless.$1.wps_device_name="OpenWrt - $(lantiq_board_name)"
+}
+
+board=$(lantiq_board_id)
+case $board in
+WBMR)
+       config_load wireless
+       config_foreach set_wps wifi-iface
+       uci commit wireless
+       ;;
+esac
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/leds b/target/linux/lantiq/base-files/etc/uci-defaults/leds
deleted file mode 100755 (executable)
index 3f87fe0..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2011 OpenWrt.org
-# based on ar71xx
-#
-
-. /lib/functions/uci-defaults.sh
-. /lib/functions/lantiq.sh
-
-[ -e "/sys/class/leds/wifi" ] && ucidef_set_led_wlan "wifi" "wifi" "wifi" "phy0tpt"
-[ -e "/sys/class/leds/usb" ] && ucidef_set_led_usbdev "usb" "usb" "usb" "1-1"
-[ -e "/sys/class/leds/dsl" ] &&        ucidef_set_led_netdev "dsl" "dsl" "dsl" "pppoe-wan"
-
-for a in `ls /sys/class/leds/`; do
-       grep -q "\[none\]" /sys/class/leds/$a/trigger
-       [ $? -eq 0 ] && ucidef_set_led_default $a $a $a `cat /sys/class/leds/$a/brightness`
-done
-
-board=$(lantiq_board_id)
-
-case "$board" in
-*)
-       ;;
-esac
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/network b/target/linux/lantiq/base-files/etc/uci-defaults/network
deleted file mode 100755 (executable)
index db5b58e..0000000
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2011-2012 OpenWrt.org
-#
-
-[ -e /etc/config/network ] && exit 0
-
-set_atm_wan() {
-       local vpi=$1
-       local vci=$2
-       local encaps=$3
-       local payload=$4
-       uci batch <<EOF
-set network.atm='atm-bridge'
-set network.atm.vpi='$vpi'
-set network.atm.vci='$vci'
-set network.atm.encaps='$encaps'
-set network.atm.payload='$payload'
-set network.wan='interface'
-set network.wan.ifname='nas0'
-set network.wan.proto='pppoe'
-set network.wan.username='foo'
-set network.wan.password='bar'
-EOF
-}
-
-. /lib/functions/uci-defaults.sh
-. /lib/functions/lantiq.sh
-
-touch /etc/config/network
-
-ucidef_set_interface_loopback
-ucidef_set_interface_lan 'eth0'
-
-vpi=1
-vci=32
-encaps="llc"
-payload="bridged"
-
-board=$(lantiq_board_id)
-
-case "$board" in
-# adm6996
-ARV4520PW)
-       ucidef_set_interface_lan "eth0.1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "3 2 1 0 5t"
-       ;;
-
-GIGASX76X)
-       ucidef_set_interface_lan "eth0.1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "4 3 2 1 5t"
-       ;;
-
-# ar8316
-ARV4519PW|ARV7518PW)
-       ucidef_set_interface_lan "eth0.1"
-       ucidef_add_switch "eth0" "1" "1"
-       ucidef_add_switch_vlan "eth0" "1" "0t 2 3 4 5"
-       ;;
-
-WBMR)
-       ucidef_add_switch "eth0" "1" "0"
-       ucidef_add_switch_vlan "eth0" "1" "0 1 2 3 4 5"
-       ;;
-
-esac
-
-[ -z "$(ls /lib/modules/`uname -r`/ltq_atm*)" ] || set_atm_wan "$vpi" "$vci" "$encaps" "$payload"
-
-
-uci commit network
-
-exit 0
diff --git a/target/linux/lantiq/base-files/etc/uci-defaults/wps b/target/linux/lantiq/base-files/etc/uci-defaults/wps
deleted file mode 100644 (file)
index f2412d7..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-. /lib/functions.sh
-. /lib/functions/lantiq.sh
-
-set_wps() {
-       uci set wireless.$1.wps_pushbutton=0
-       uci set wireless.$1.wps_device_name="OpenWrt - $(lantiq_board_name)"
-}
-
-board=$(lantiq_board_id)
-case $board in
-WBMR)
-       config_load wireless
-       config_foreach set_wps wifi-iface
-       uci commit wireless
-       ;;
-esac
diff --git a/target/linux/mcs814x/base-files/etc/uci-defaults/01_leds b/target/linux/mcs814x/base-files/etc/uci-defaults/01_leds
new file mode 100644 (file)
index 0000000..8ab8b4e
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+. /lib/functions/uci-defaults.sh
+. /lib/mcs814x.sh
+
+board=$(mcs814x_board_name)
+
+case "$board" in
+dlan-usb-extender)
+       ucidef_set_led_usbdev "usb" "USB" "dlan-usb-extender:green:usb" "1-1"
+       ;;
+rbt-832)
+       ucidef_set_led_usbdev "usb1" "USB1" "rbt-832:red:usb0" "1-1"
+       ucidef_set_led_usbdev "usb2" "USB2" "rbt-832:red:usb1" "1-2"
+       ucidef_set_led_usbdev "usb3" "USB3" "rbt-832:red:usb2" "1-3"
+       ucidef_set_led_usbdev "usb4" "USB4" "rbt-832:red:usb3" "1-4"
+       ucidef_set_led_netdev "eth" "eth" "rbt-832:red:ethernet" "eth0"
+       ;;
+esac
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/mcs814x/base-files/etc/uci-defaults/leds b/target/linux/mcs814x/base-files/etc/uci-defaults/leds
deleted file mode 100644 (file)
index 8ab8b4e..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-. /lib/functions/uci-defaults.sh
-. /lib/mcs814x.sh
-
-board=$(mcs814x_board_name)
-
-case "$board" in
-dlan-usb-extender)
-       ucidef_set_led_usbdev "usb" "USB" "dlan-usb-extender:green:usb" "1-1"
-       ;;
-rbt-832)
-       ucidef_set_led_usbdev "usb1" "USB1" "rbt-832:red:usb0" "1-1"
-       ucidef_set_led_usbdev "usb2" "USB2" "rbt-832:red:usb1" "1-2"
-       ucidef_set_led_usbdev "usb3" "USB3" "rbt-832:red:usb2" "1-3"
-       ucidef_set_led_usbdev "usb4" "USB4" "rbt-832:red:usb3" "1-4"
-       ucidef_set_led_netdev "eth" "eth" "rbt-832:red:ethernet" "eth0"
-       ;;
-esac
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/mpc83xx/base-files/etc/uci-defaults/02_network b/target/linux/mpc83xx/base-files/etc/uci-defaults/02_network
new file mode 100755 (executable)
index 0000000..a3467aa
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+[ -e /etc/config/network ] && exit 0
+
+touch /etc/config/network
+
+. /lib/functions/uci-defaults.sh
+. /lib/mpc83xx.sh
+
+ucidef_set_interface_loopback
+
+board=$(mpc83xx_board_name)
+
+case "$board" in
+rb333)
+       ucidef_set_interfaces_lan_wan "eth0 eth1" "eth2"
+       ;;
+
+*)
+       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+       ;;
+esac
+
+uci commit network
+
+exit 0
diff --git a/target/linux/mpc83xx/base-files/etc/uci-defaults/network b/target/linux/mpc83xx/base-files/etc/uci-defaults/network
deleted file mode 100755 (executable)
index a3467aa..0000000
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-[ -e /etc/config/network ] && exit 0
-
-touch /etc/config/network
-
-. /lib/functions/uci-defaults.sh
-. /lib/mpc83xx.sh
-
-ucidef_set_interface_loopback
-
-board=$(mpc83xx_board_name)
-
-case "$board" in
-rb333)
-       ucidef_set_interfaces_lan_wan "eth0 eth1" "eth2"
-       ;;
-
-*)
-       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-       ;;
-esac
-
-uci commit network
-
-exit 0
diff --git a/target/linux/orion/generic/base-files/etc/uci-defaults/09_hardware b/target/linux/orion/generic/base-files/etc/uci-defaults/09_hardware
new file mode 100644 (file)
index 0000000..7f727eb
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# Copyright (C) 2010 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+#
+# This script sets system defaults for the hardware on firstboot
+#
+
+local hardware=`sed -n /Hardware/s/.*:.//p /proc/cpuinfo`
+
+wrt350nv2_default() {
+# leds
+       uci batch <<__EOF
+set system.power_led=led
+set system.power_led.name='Power LED (green)'
+set system.power_led.sysfs='wrt350nv2:green:power'
+set system.power_led.default='1'
+set system.wifi_led=led
+set system.wifi_led.name='Wireless LED (green)'
+set system.wifi_led.sysfs='wrt350nv2:green:wireless'
+set system.wifi_led.trigger='netdev'
+set system.wifi_led.dev='wlan0'
+set system.wifi_led.mode='link tx rx'
+set system.wifi_led.default='0'
+commit system
+__EOF
+
+# add mac address from U-Boot partition to lan and wan devices
+       MTD=`grep -e 'u-boot' /proc/mtd`
+       MTD=`echo ${MTD} | sed 's/[a-z]*\([0-9]*\):.*/\1/'`
+       [ -n "${MTD}" ] && {
+               MACADDR=`dd if=/dev/mtdblock${MTD} bs=1 skip=262048 count=6 2>/dev/null | hexdump -e '1/1 "%02x"'`
+               MACADDR2=$(( 0x${MACADDR} + 1))
+               MACADDR2=`printf "%012x" ${MACADDR2}`
+
+               MACADDR=`echo ${MACADDR} | sed 's/\(..\)/\1:/g' | sed 's/:$//'`
+               MACADDR2=`echo ${MACADDR2} | sed 's/\(..\)/\1:/g' | sed 's/:$//'`
+
+               uci set network.eth0.macaddr=${MACADDR}
+               uci set network.lan.macaddr=${MACADDR}
+               uci set network.wan.macaddr=${MACADDR2}
+               uci commit network
+       }
+}
+
+case "${hardware}" in
+ 'Linksys WRT350N v2')
+       wrt350nv2_default
+       ;;
+esac
diff --git a/target/linux/orion/generic/base-files/etc/uci-defaults/hardware b/target/linux/orion/generic/base-files/etc/uci-defaults/hardware
deleted file mode 100644 (file)
index 7f727eb..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2010 OpenWrt.org
-#
-# This is free software, licensed under the GNU General Public License v2.
-# See /LICENSE for more information.
-#
-
-#
-# This script sets system defaults for the hardware on firstboot
-#
-
-local hardware=`sed -n /Hardware/s/.*:.//p /proc/cpuinfo`
-
-wrt350nv2_default() {
-# leds
-       uci batch <<__EOF
-set system.power_led=led
-set system.power_led.name='Power LED (green)'
-set system.power_led.sysfs='wrt350nv2:green:power'
-set system.power_led.default='1'
-set system.wifi_led=led
-set system.wifi_led.name='Wireless LED (green)'
-set system.wifi_led.sysfs='wrt350nv2:green:wireless'
-set system.wifi_led.trigger='netdev'
-set system.wifi_led.dev='wlan0'
-set system.wifi_led.mode='link tx rx'
-set system.wifi_led.default='0'
-commit system
-__EOF
-
-# add mac address from U-Boot partition to lan and wan devices
-       MTD=`grep -e 'u-boot' /proc/mtd`
-       MTD=`echo ${MTD} | sed 's/[a-z]*\([0-9]*\):.*/\1/'`
-       [ -n "${MTD}" ] && {
-               MACADDR=`dd if=/dev/mtdblock${MTD} bs=1 skip=262048 count=6 2>/dev/null | hexdump -e '1/1 "%02x"'`
-               MACADDR2=$(( 0x${MACADDR} + 1))
-               MACADDR2=`printf "%012x" ${MACADDR2}`
-
-               MACADDR=`echo ${MACADDR} | sed 's/\(..\)/\1:/g' | sed 's/:$//'`
-               MACADDR2=`echo ${MACADDR2} | sed 's/\(..\)/\1:/g' | sed 's/:$//'`
-
-               uci set network.eth0.macaddr=${MACADDR}
-               uci set network.lan.macaddr=${MACADDR}
-               uci set network.wan.macaddr=${MACADDR2}
-               uci commit network
-       }
-}
-
-case "${hardware}" in
- 'Linksys WRT350N v2')
-       wrt350nv2_default
-       ;;
-esac
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/01_leds b/target/linux/ramips/base-files/etc/uci-defaults/01_leds
new file mode 100755 (executable)
index 0000000..fa9c4f0
--- /dev/null
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+. /lib/functions/uci-defaults.sh
+. /lib/ramips.sh
+
+set_usb_led() {
+       ucidef_set_led_usbdev "usb" "USB" "$1" "1-1"
+}
+
+set_wifi_led() {
+       ucidef_set_led_netdev "wifi_led" "wifi" "$1" "wlan0"
+}
+
+board=$(ramips_board_name)
+
+case $board in
+       3g-6200n)
+               set_wifi_led "edimax:amber:wlan"
+               set_usb_led "edimax:blue:3g"
+               ;;
+       air3gii)
+               set_wifi_led "airlive:green:wlan"
+               set_usb_led "airlive:green:mobile"
+               ;;
+       all0256n)
+               ucidef_set_rssimon "wlan0" "40000" "1"
+               ucidef_set_led_rssi "rssilow" "RSSILOW" "all0256n:green:rssilow" "wlan0" "1" "40" "0" "6"
+               ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0256n:green:rssimed" "wlan0" "30" "80" "-29" "5"
+               ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0256n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       bc2)
+               set_usb_led "bc2:blue:usb"
+               ;;
+       broadway)
+               set_usb_led "red:diskmounted"
+               set_wifi_led "red:wps_active"
+               ;;
+       br6524n)
+               set_wifi_led "edimax:blue:wlan"
+               ;;
+       dir-300-b1|\
+       dir-600-b1|\
+       dir-600-b2|\
+       dir-620-a1)
+               # ANDed with vlan switch port 4 led state
+               ucidef_set_led_default "wan" "WAN LED (amber)" "d-link:amber:wan" "1"
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       dir-615-d|\
+       dir-615-h1)
+               ucidef_set_led_default "status" "Status LED (amber)" "d-link:amber:status" "0"
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       esr-9753)
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       f5d8235-v1)
+               set_usb_led "f5d8235-v1:blue:storage"
+               ;;
+       f5d8235-v2)
+               set_usb_led "f5d8235v2:blue:storage"
+               ;;
+       fonera20n)
+               set_usb_led "fonera20n:orange:usb"
+               set_wifi_led "fonera20n:orange:wifi"
+               ;;
+       all0239-3g|\
+       hw550-3g)
+               set_usb_led "hw550-3g:green:usb"
+               ;;
+       mofi3500-3gn)
+               set_usb_led "mofi3500-3gn:green:usb"
+               ;;
+       mzk-w300nh2)
+               set_wifi_led "mzkw300nh2:amber:wlan"
+               ;;
+       nw718)
+               set_usb_led "nw718:amber:usb"
+               ;;
+       sl-r7205)
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       v11st-fe)
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       w306r-v20)
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       w502u)
+               set_usb_led "alfa:blue:usb"
+               set_wifi_led "rt2800pci-phy0::radio"
+               ;;
+       wcr-150gn)
+               set_usb_led "wcr150gn:amber:user"
+               ;;
+esac
+
+ucidef_commit_leds
+
+exit 0
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/02_network b/target/linux/ramips/base-files/etc/uci-defaults/02_network
new file mode 100755 (executable)
index 0000000..bbcdf6f
--- /dev/null
@@ -0,0 +1,260 @@
+#!/bin/sh
+
+. /lib/functions.sh
+. /lib/ramips.sh
+. /lib/functions/uci-defaults.sh
+
+if [ ! -x /usr/sbin/maccalc ]; then
+       echo "$0: maccalc not found!"
+       return
+fi
+
+ramips_setup_rt3x5x_vlans()
+{
+       if [ ! -x /sbin/swconfig ]; then
+               # legacy default
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               return
+       fi
+       local wanports=""
+       local lanports=""
+       swconfig dev rt305x set reset 1
+       for port in 5 4 3 2 1 0; do
+               if [ `swconfig dev rt305x port $port get disable` = "1" ]; then
+                       continue
+               fi
+               if [ `swconfig dev rt305x port $port get lan` = "0" ]; then
+                       wanports="$port $wanports"
+               else
+                       lanports="$port $lanports"
+               fi
+       done
+       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+       ucidef_add_switch "rt305x" "1" "1"
+       ucidef_add_switch_vlan "rt305x" "1" "$lanports 6t"
+       ucidef_add_switch_vlan "rt305x" "2" "$wanports 6t"
+}
+
+ramips_setup_interfaces()
+{
+       local board="$1"
+
+       ucidef_set_interface_loopback
+
+       case $board in
+       all0256n | \
+       all5002 | \
+       broadway)
+               ucidef_set_interface_lan "eth0"
+               ;;
+
+       dir-615-h1 | \
+       wl-330n)
+               ucidef_set_interface_lan "eth0.1"
+               ;;
+
+       3g-6200n | \
+       argus-atp52b | \
+       b2c | \
+       nw718 | \
+       psr-680w | \
+       sl-r7205 | \
+       w502u | \
+       wr6202)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ;;
+
+       dir-645)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 6t"
+               ucidef_add_switch_vlan "switch0" "2" "0 6t"
+               ;;
+
+       mzk-w300nh2)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 6t"
+               ucidef_add_switch_vlan "switch0" "2" "4 6t"
+               ;;
+
+       f5d8235-v1 | \
+       f5d8235-v2 | \
+       ur-336un)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ;;
+
+       br6524n | \
+       v11st-fe)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 5t"
+               ucidef_add_switch_vlan "switch0" "2" "0 5t"
+               ;;
+
+       rt-n15 | \
+       wl-351)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 5t"
+               ucidef_add_switch_vlan "switch0" "2" "4 5t"
+               ;;
+
+       rt-n56u)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 8t"
+               ucidef_add_switch_vlan "switch0" "2" "4 8t"
+               ;;
+
+       tew-691gr|\
+       tew-692gr)
+               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
+               ucidef_add_switch "switch0" "1" "1"
+               ucidef_add_switch_vlan "switch0" "1" "0t 1 2 3 4"
+               ucidef_add_switch_vlan "switch0" "2" "0t 5"
+               ;;
+
+       freestation5 | \
+       wcr-150gn)
+               ucidef_set_interfaces_lan_wan "eth0.2" "eth0.1"
+               ;;
+
+       wli-tx4-ag300n)
+               ucidef_set_interface_lan "eth0"
+               ;;
+
+       *)
+               RT3X5X=`cat /proc/cpuinfo | egrep "(RT3.5|RT5350)"`
+               if [ -n "${RT3X5X}" ]; then
+                       ramips_setup_rt3x5x_vlans
+               else
+                       ucidef_set_interfaces_lan_wan "eth0" "eth1"
+               fi
+               ;;
+       esac
+}
+
+ramips_setup_macs()
+{
+       local board="$1"
+       local lan_mac=""
+       local wan_mac=""
+
+       case $board in
+       all0256n | \
+       all5002 | \
+       dir-615-h1)
+               lan_mac=$(ramips_get_mac_binary factory 40)
+               ;;
+       3g-6200n | \
+       air3gii | \
+       argus-atp52b | \
+       bc2 | \
+       broadway | \
+       f5d8235-v1 | \
+       mzk-w300nh2 | \
+       nw718 | \
+       psr-680w | \
+       rt-n15 | \
+       sl-r7205 | \
+       wl-351)
+               lan_mac=$(ramips_get_mac_binary factory 4)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       w306r-v20)
+               lan_mac=$(ramips_get_mac_binary factory 4)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 5)
+               ;;
+
+       rt-n13u | \
+       fonera20n)
+               lan_mac=$(ramips_get_mac_binary factory 40)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       dir-300-b1 |\
+       dir-300-b2 |\
+       dir-600-b1)
+               lan_mac=$(ramips_get_mac_binary devdata 16388)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       dir-620-a1)
+               lan_mac=$(ramips_get_mac_binary factory 4)
+               lan_mac=$(maccalc or "$lan_mac" "02:00:00:00:00:00")
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       dir-645)
+               lan_mac=$(ramips_get_mac_nvram nvram lanmac)
+               wan_mac=$(ramips_get_mac_nvram nvram wanmac)
+               ;;
+
+       esr-9753 | \
+       ur-336un)
+               lan_mac=$(ramips_get_mac_binary devdata 16388)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       nbg-419n | \
+       wcr-150gn)
+                lan_mac=$(ramips_get_mac_binary factory 4)
+                wan_mac=$(ramips_get_mac_binary factory 40)
+               ;;
+
+       f5d8235-v2)
+               lan_mac=$(ramips_get_mac_binary "u-boot" 262148)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       rt-n56u)
+               lan_mac=$(ramips_get_mac_binary factory 4)
+               wan_mac=$(ramips_get_mac_binary factory 32772)
+               ;;
+
+       tew-691gr)
+               lan_mac=$(ramips_get_mac_binary factory 40)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 3)
+               ;;
+
+       tew-692gr)
+               lan_mac=$(ramips_get_mac_binary factory 40)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 4)
+               ;;
+
+       all0239-3g | \
+       carambola | \
+       w502u)
+               lan_mac=$(ramips_get_mac_binary factory 40)
+               wan_mac=$(ramips_get_mac_binary factory 46)
+               ;;
+
+       wl341v3)
+               lan_mac=$(ramips_get_mac_binary board-nvram 65440)
+               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
+               ;;
+
+       wli-tx4-ag300n)
+               lan_mac=$(ramips_get_mac_binary factory 4)
+               ;;
+
+       esac
+
+       [ -n "$lan_mac" ] && ucidef_set_interface_macaddr lan $lan_mac
+       [ -n "$wan_mac" ] && ucidef_set_interface_macaddr wan $wan_mac
+}
+
+[ -e /etc/config/network ] && exit 0
+
+touch /etc/config/network
+
+board=$(ramips_board_name)
+
+ramips_setup_interfaces $board
+ramips_setup_macs $board
+
+uci commit network
+
+exit 0
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/09_fix-seama-header b/target/linux/ramips/base-files/etc/uci-defaults/09_fix-seama-header
new file mode 100755 (executable)
index 0000000..d8bed79
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 OpenWrt.org
+#
+
+. /lib/ramips.sh
+
+fix_seama_header() {
+       local part=$1
+
+       mtd fixseama $part
+}
+
+board=$(ramips_board_name)
+
+case "$board" in
+dir-645)
+       fix_seama_header kernel
+       ;;
+esac
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/fixseama b/target/linux/ramips/base-files/etc/uci-defaults/fixseama
deleted file mode 100755 (executable)
index d8bed79..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2012 OpenWrt.org
-#
-
-. /lib/ramips.sh
-
-fix_seama_header() {
-       local part=$1
-
-       mtd fixseama $part
-}
-
-board=$(ramips_board_name)
-
-case "$board" in
-dir-645)
-       fix_seama_header kernel
-       ;;
-esac
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/leds b/target/linux/ramips/base-files/etc/uci-defaults/leds
deleted file mode 100755 (executable)
index fa9c4f0..0000000
+++ /dev/null
@@ -1,101 +0,0 @@
-#!/bin/sh
-
-. /lib/functions/uci-defaults.sh
-. /lib/ramips.sh
-
-set_usb_led() {
-       ucidef_set_led_usbdev "usb" "USB" "$1" "1-1"
-}
-
-set_wifi_led() {
-       ucidef_set_led_netdev "wifi_led" "wifi" "$1" "wlan0"
-}
-
-board=$(ramips_board_name)
-
-case $board in
-       3g-6200n)
-               set_wifi_led "edimax:amber:wlan"
-               set_usb_led "edimax:blue:3g"
-               ;;
-       air3gii)
-               set_wifi_led "airlive:green:wlan"
-               set_usb_led "airlive:green:mobile"
-               ;;
-       all0256n)
-               ucidef_set_rssimon "wlan0" "40000" "1"
-               ucidef_set_led_rssi "rssilow" "RSSILOW" "all0256n:green:rssilow" "wlan0" "1" "40" "0" "6"
-               ucidef_set_led_rssi "rssimedium" "RSSIMEDIUM" "all0256n:green:rssimed" "wlan0" "30" "80" "-29" "5"
-               ucidef_set_led_rssi "rssihigh" "RSSIHIGH" "all0256n:green:rssihigh" "wlan0" "70" "100" "-69" "8"
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       bc2)
-               set_usb_led "bc2:blue:usb"
-               ;;
-       broadway)
-               set_usb_led "red:diskmounted"
-               set_wifi_led "red:wps_active"
-               ;;
-       br6524n)
-               set_wifi_led "edimax:blue:wlan"
-               ;;
-       dir-300-b1|\
-       dir-600-b1|\
-       dir-600-b2|\
-       dir-620-a1)
-               # ANDed with vlan switch port 4 led state
-               ucidef_set_led_default "wan" "WAN LED (amber)" "d-link:amber:wan" "1"
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       dir-615-d|\
-       dir-615-h1)
-               ucidef_set_led_default "status" "Status LED (amber)" "d-link:amber:status" "0"
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       esr-9753)
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       f5d8235-v1)
-               set_usb_led "f5d8235-v1:blue:storage"
-               ;;
-       f5d8235-v2)
-               set_usb_led "f5d8235v2:blue:storage"
-               ;;
-       fonera20n)
-               set_usb_led "fonera20n:orange:usb"
-               set_wifi_led "fonera20n:orange:wifi"
-               ;;
-       all0239-3g|\
-       hw550-3g)
-               set_usb_led "hw550-3g:green:usb"
-               ;;
-       mofi3500-3gn)
-               set_usb_led "mofi3500-3gn:green:usb"
-               ;;
-       mzk-w300nh2)
-               set_wifi_led "mzkw300nh2:amber:wlan"
-               ;;
-       nw718)
-               set_usb_led "nw718:amber:usb"
-               ;;
-       sl-r7205)
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       v11st-fe)
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       w306r-v20)
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       w502u)
-               set_usb_led "alfa:blue:usb"
-               set_wifi_led "rt2800pci-phy0::radio"
-               ;;
-       wcr-150gn)
-               set_usb_led "wcr150gn:amber:user"
-               ;;
-esac
-
-ucidef_commit_leds
-
-exit 0
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/network b/target/linux/ramips/base-files/etc/uci-defaults/network
deleted file mode 100755 (executable)
index bbcdf6f..0000000
+++ /dev/null
@@ -1,260 +0,0 @@
-#!/bin/sh
-
-. /lib/functions.sh
-. /lib/ramips.sh
-. /lib/functions/uci-defaults.sh
-
-if [ ! -x /usr/sbin/maccalc ]; then
-       echo "$0: maccalc not found!"
-       return
-fi
-
-ramips_setup_rt3x5x_vlans()
-{
-       if [ ! -x /sbin/swconfig ]; then
-               # legacy default
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               return
-       fi
-       local wanports=""
-       local lanports=""
-       swconfig dev rt305x set reset 1
-       for port in 5 4 3 2 1 0; do
-               if [ `swconfig dev rt305x port $port get disable` = "1" ]; then
-                       continue
-               fi
-               if [ `swconfig dev rt305x port $port get lan` = "0" ]; then
-                       wanports="$port $wanports"
-               else
-                       lanports="$port $lanports"
-               fi
-       done
-       ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-       ucidef_add_switch "rt305x" "1" "1"
-       ucidef_add_switch_vlan "rt305x" "1" "$lanports 6t"
-       ucidef_add_switch_vlan "rt305x" "2" "$wanports 6t"
-}
-
-ramips_setup_interfaces()
-{
-       local board="$1"
-
-       ucidef_set_interface_loopback
-
-       case $board in
-       all0256n | \
-       all5002 | \
-       broadway)
-               ucidef_set_interface_lan "eth0"
-               ;;
-
-       dir-615-h1 | \
-       wl-330n)
-               ucidef_set_interface_lan "eth0.1"
-               ;;
-
-       3g-6200n | \
-       argus-atp52b | \
-       b2c | \
-       nw718 | \
-       psr-680w | \
-       sl-r7205 | \
-       w502u | \
-       wr6202)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ;;
-
-       dir-645)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 6t"
-               ucidef_add_switch_vlan "switch0" "2" "0 6t"
-               ;;
-
-       mzk-w300nh2)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 6t"
-               ucidef_add_switch_vlan "switch0" "2" "4 6t"
-               ;;
-
-       f5d8235-v1 | \
-       f5d8235-v2 | \
-       ur-336un)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ;;
-
-       br6524n | \
-       v11st-fe)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 5t"
-               ucidef_add_switch_vlan "switch0" "2" "0 5t"
-               ;;
-
-       rt-n15 | \
-       wl-351)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 5t"
-               ucidef_add_switch_vlan "switch0" "2" "4 5t"
-               ;;
-
-       rt-n56u)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "0 1 2 3 8t"
-               ucidef_add_switch_vlan "switch0" "2" "4 8t"
-               ;;
-
-       tew-691gr|\
-       tew-692gr)
-               ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
-               ucidef_add_switch "switch0" "1" "1"
-               ucidef_add_switch_vlan "switch0" "1" "0t 1 2 3 4"
-               ucidef_add_switch_vlan "switch0" "2" "0t 5"
-               ;;
-
-       freestation5 | \
-       wcr-150gn)
-               ucidef_set_interfaces_lan_wan "eth0.2" "eth0.1"
-               ;;
-
-       wli-tx4-ag300n)
-               ucidef_set_interface_lan "eth0"
-               ;;
-
-       *)
-               RT3X5X=`cat /proc/cpuinfo | egrep "(RT3.5|RT5350)"`
-               if [ -n "${RT3X5X}" ]; then
-                       ramips_setup_rt3x5x_vlans
-               else
-                       ucidef_set_interfaces_lan_wan "eth0" "eth1"
-               fi
-               ;;
-       esac
-}
-
-ramips_setup_macs()
-{
-       local board="$1"
-       local lan_mac=""
-       local wan_mac=""
-
-       case $board in
-       all0256n | \
-       all5002 | \
-       dir-615-h1)
-               lan_mac=$(ramips_get_mac_binary factory 40)
-               ;;
-       3g-6200n | \
-       air3gii | \
-       argus-atp52b | \
-       bc2 | \
-       broadway | \
-       f5d8235-v1 | \
-       mzk-w300nh2 | \
-       nw718 | \
-       psr-680w | \
-       rt-n15 | \
-       sl-r7205 | \
-       wl-351)
-               lan_mac=$(ramips_get_mac_binary factory 4)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       w306r-v20)
-               lan_mac=$(ramips_get_mac_binary factory 4)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 5)
-               ;;
-
-       rt-n13u | \
-       fonera20n)
-               lan_mac=$(ramips_get_mac_binary factory 40)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       dir-300-b1 |\
-       dir-300-b2 |\
-       dir-600-b1)
-               lan_mac=$(ramips_get_mac_binary devdata 16388)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       dir-620-a1)
-               lan_mac=$(ramips_get_mac_binary factory 4)
-               lan_mac=$(maccalc or "$lan_mac" "02:00:00:00:00:00")
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       dir-645)
-               lan_mac=$(ramips_get_mac_nvram nvram lanmac)
-               wan_mac=$(ramips_get_mac_nvram nvram wanmac)
-               ;;
-
-       esr-9753 | \
-       ur-336un)
-               lan_mac=$(ramips_get_mac_binary devdata 16388)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       nbg-419n | \
-       wcr-150gn)
-                lan_mac=$(ramips_get_mac_binary factory 4)
-                wan_mac=$(ramips_get_mac_binary factory 40)
-               ;;
-
-       f5d8235-v2)
-               lan_mac=$(ramips_get_mac_binary "u-boot" 262148)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       rt-n56u)
-               lan_mac=$(ramips_get_mac_binary factory 4)
-               wan_mac=$(ramips_get_mac_binary factory 32772)
-               ;;
-
-       tew-691gr)
-               lan_mac=$(ramips_get_mac_binary factory 40)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 3)
-               ;;
-
-       tew-692gr)
-               lan_mac=$(ramips_get_mac_binary factory 40)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 4)
-               ;;
-
-       all0239-3g | \
-       carambola | \
-       w502u)
-               lan_mac=$(ramips_get_mac_binary factory 40)
-               wan_mac=$(ramips_get_mac_binary factory 46)
-               ;;
-
-       wl341v3)
-               lan_mac=$(ramips_get_mac_binary board-nvram 65440)
-               wan_mac=$(/usr/sbin/maccalc add "$lan_mac" 1)
-               ;;
-
-       wli-tx4-ag300n)
-               lan_mac=$(ramips_get_mac_binary factory 4)
-               ;;
-
-       esac
-
-       [ -n "$lan_mac" ] && ucidef_set_interface_macaddr lan $lan_mac
-       [ -n "$wan_mac" ] && ucidef_set_interface_macaddr wan $wan_mac
-}
-
-[ -e /etc/config/network ] && exit 0
-
-touch /etc/config/network
-
-board=$(ramips_board_name)
-
-ramips_setup_interfaces $board
-ramips_setup_macs $board
-
-uci commit network
-
-exit 0